Subject: Re: bug#77062: [PATCH] NS: Correct the accessibility role of Emacs windows
From: Alan Third <[email-masked]>
To: Robert Pluim <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, [email-masked]
Date: Thu, 31 Jul 2025 22:28:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jul 30, 2025 at 03:02:56PM +0200, Robert Pluim wrote:
> >>>>> On Wed, 30 Jul 2025 15:31:34 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     >> Cc: [email-masked]
>     >> From: Robert Pluim <[email-masked]>
>     >> Date: Wed, 30 Jul 2025 09:45:54 +0200
>     >> 
>     >> >>>>> On Mon, 31 Mar 2025 03:34:21 +0200, Rudolf Adamkovič <[email-masked]> said:
>     >> 
>     Rudolf> Rudolf Adamkovič <[email-masked]> writes:
>     >> >> See the commit message in the patch.
>     >> 
>     Rudolf> Ping.
>     >> 
>     >> This doesnʼt cause any harm in my testing (with the standard macOS
>     >> window manager). Eli?
> 
>     Eli> I don't understand what that does, and thus don't have any opinion.
> 
>     Eli> Generally speaking, it would be nice to see some official document or
>     Eli> standard saying that this is what applications on macOS should do, and
>     Eli> then have it in the comments to the code.
> 
> I couldnʼt find such a document, but itʼs pretty obvious that
> 
> - Emacs is a windowed application, so claiming itʼs a text field is wrong
> - Other Emacs ports report that it is the right thing to do
> 
> Robert

Pushed to master (6e1054a40bf6df1429a2b16fdd0d7652dae4d537).

Two points, neither really relevant I don't suppose.

I could have sworn we already had at least one, and possibly more, bug
reports open about this, but I can't find any.

And I find it hard to believe we actually have to set this, surely
it's the default? I'm rather sceptical of the original change.

-- 
Alan Third